%define upstream_name    File-DataClass
%define upstream_version 0.68.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Structured data file IO with OO paradigm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts: cpanminus

BuildRequires: perl(Cache::FastMmap) >= 1.400.0
BuildRequires: perl(Capture::Tiny) >= 0.300.0
BuildRequires: perl(Class::Null) >= 2.110.730
BuildRequires: perl(File::Path) >= 2.90.0
BuildRequires: perl(File::ReadBackwards) >= 1.50.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd) >= 1.0.0
BuildRequires: perl(Hash::Merge) >= 0.200.0
BuildRequires: perl(JSON::MaybeXS) >= 1.3.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Pluggable) >= 5.100.0
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Path::Tiny) >= 0.13.0
BuildRequires: perl(Sub::Install) >= 0.928.0
BuildRequires: perl(Subclass::Of) >= 0.3.0
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Deep) >= 0.117.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Text::Diff) >= 1.370.0
BuildRequires: perl(Try::Tiny) >= 0.220.0
BuildRequires: perl(Type::Tiny) >= 1.0.2
BuildRequires: perl(Unexpected)
BuildRequires: perl(boolean) >= 0.450.0
BuildRequires: perl(namespace::autoclean) >= 0.260.0
BuildRequires: perl(namespace::clean) >= 0.250.0
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%description
Provides methods for manipulating structured data stored in files of
different formats.

The documentation for this distribution starts in the class
File::DataClass::Schema.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.68.1-3pclos2017
- rebuild against updates

